# ngHyd : Angular Component Library For Hydraulics using JaLHyd library

## All the things to know for developping the library

The library needs nodeJS installed and the following node packages installed globally: _typescript, karma, tslint_.

This can be done from the command line:

`npm install -g typescript karma tslint`

### Install the necessary packages of the library:

Clone or update the JalHyd project and in the JalHyd folder, run :

`npm package`

Then, back to the ngHyd project folder, run :

`npm install <path to the JalHyd folder>/jalhyd-<version>.tar.gz`

and then :

`npm install`


### To compile the typescript code

`npm run build`


### To run compilation in watch mode as well as application execution in a navigator window

`npm start`


### To flag suspicious language usage

`npm run lint`

### To generate translation file

`npm run i18n`

This creates a _src/messages.xlf_ file. Move it to _src/locale/messages.<locale>.xlf_


!!!! comment fait on pour mettre à jour un fichier messages.<locale>.xlf_ existant ? !!!!
