import { ParamDefinition } from 'jalhyd';

export class NgParameter {
    public label: string;

    constructor(private _paramDef: ParamDefinition) {
    }

    get symbol(): string {
        return this._paramDef.symbol;
    }

    get v(): number {
        return this._paramDef.v;
    }

    set v(val: number) {
        this._paramDef.v = val;
    }

    get isDefined(): boolean {
        return this._paramDef.isDefined;
    }

    public checkValue(val: number) {
        this._paramDef.checkValue(val);
    }
}
